// QResultWidget.h: QResultWidget NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_QRESULTWIDGET_H__A5448167_E6FC_44ED_92B2_933E2A377AB1__INCLUDED_)
#define AFX_QRESULTWIDGET_H__A5448167_E6FC_44ED_92B2_933E2A377AB1__INCLUDED_

#include <qwidget.h>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class QPushButton;
class QListView;
class shareObj;
class searchThread;
class QSearchDlg;
class QOverDlg;
class QResultWidget  : public QWidget
{
    Q_OBJECT
public:
	int timeUpdate();
	void setObj(shareObj* pObj);
	QResultWidget( QWidget *parent=0, const char *name=0 );
	virtual ~QResultWidget();
	int isThread(){return (int)m_pThread;}

protected:
protected slots:
	void onSearch();
	void onDownload();
	void onNetwork();

private:
	QListView*		m_plvUrl;
	QPushButton*	m_pbSearch;
	QPushButton*	m_pbDownload;
	QPushButton*	m_pbSchedule;	

	QSearchDlg*		m_pdSearch;
	QOverDlg*		m_pwDownload;

	searchThread	*	m_pThread;
	shareObj		*	m_pObj;
};

#endif // !defined(AFX_QRESULTWIDGET_H__A5448167_E6FC_44ED_92B2_933E2A377AB1__INCLUDED_)
