// QOverDlg.h: QOverDlg NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#include "qover_win32.h"

#if !defined(AFX_QOVERDLG_H__77B25601_1817_4DA9_988B_14D9A4D7FE7D__INCLUDED_)
#define AFX_QOVERDLG_H__77B25601_1817_4DA9_988B_14D9A4D7FE7D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class QPushButton;
class QTabWidget;
class QMyProgressBar;

class QDownloadWidget;
class QResultWidget;
class QScheduleWidget;
class QSearchDlg;
class QSettingDlg;
class QTimer;
class QListView;

class shareObj;
class searchThread;
class downloadThread;
class QOverDlg: public QMainWindow
{
    Q_OBJECT
public:
	int  isThread();
	void progress(int n,char* psz);
	QOverDlg( QWidget *parent=0, const char *name=0 );
	virtual ~QOverDlg();
	QListView* ref_list();
protected:
	virtual void closeEvent( QCloseEvent * );

protected slots:
    void onSetting();
    void onPlay();
	void timerDone();
	void pageL();
	void pageR();
private:

	// 㕔Xe[^X
	QPushButton*		m_pbtSetting;
	QPushButton*		m_pbtPlay;
	QMyProgressBar*		m_pprgParcent;

	// ^uǗ
    QTabWidget* m_pTabs;

	QDownloadWidget*	m_pwDownload;
	QResultWidget*		m_pwResult;
	QSettingDlg*		m_pdSetting;

	QTimer*		m_ptimer;

	// LIuWFNgi͂܂Ƃ߂ĊǗقyj
	shareObj		*	m_pObj;
};

#endif // !defined(AFX_QOVERDLG_H__77B25601_1817_4DA9_988B_14D9A4D7FE7D__INCLUDED_)
