// shareobj.h: shareobj NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHAREOBJ_H__A7EBE270_2713_4967_A42A_1354F4420BAB__INCLUDED_)
#define AFX_SHAREOBJ_H__A7EBE270_2713_4967_A42A_1354F4420BAB__INCLUDED_

#include "shareobj.h"
#include "qover_win32.h"
#include <qarray.h>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define _MAX_QOV_	32
enum eEngine{
	engine_title,
	engine_id,
	search_name,
	search_name_option,
	search_user,
	search_user_option,
	search_direct,
	search_direct_option,
	search_start,
	search_step,
	find0_http,
	find0_top,
	find0_top_,
	find0_id,
	find0_id_,
	find0_title,
	find0_title_,
	find0_user,
	find0_user_,
	find0_image,
	find0_image_,
	find0_time,
	find0_time_,
	find1_http,
	find1_top,
	find1_top_,
	find1_id,
	find1_id_,
	find1_title,
	find1_title_,
	find1_user,
	find1_user_,
	find1_image,
	find1_image_,
	find1_time,
	find1_time_,
	find2_http,
	find2_top,
	find2_top_,
	find2_id,
	find2_id_,
	find2_title,
	find2_title_,
	find2_user,
	find2_user_,
	find2_image,
	find2_image_,
	find2_time,
	find2_time_,
	download_http,
	download_redirect,
	download_retry,
	download_target,
	download_ext,
	download_url,
	download_key,
	download_key_,
	endof
};

class QCString;
//class QArray;
class engineQov
{
public:
	engineQov();
	virtual ~engineQov();


	const char * ref(eEngine e);
	const char * ref_redirect(eEngine e,int n);
	int toInt(eEngine e);
	int length(eEngine e);
	int readfromfile(const char* pPath,const char* pName);
private:
	QCString*			m_pqcsBuffer[endof];
	QArray<QCString*>*	m_pplist;
};

//! ZaurusłUTF8 WindowsłSJISɂȂ
class Config;
class shareObj  
{
public:
	engineQov* engineFromID(const char* pstr);
	shareObj();
	virtual ~shareObj();
	const char* ref_CurrentPath();
	const char* ref_Path();
	const char* ref_Proxy();
	const char* ref_Name();
	const char* ref_Pass();
	const char* ref_UA_String();
	int  ref_UA();
	int  ref_Cache(int n=0);
	int  ref_Port();
	int  ref_Image();
	int  ref_Timeout(int n=0);
	int  ref_Play();

	engineQov* ref_Engine(int n){return m_pQov[n];}

	void CurrentPath(const char* p);
	void Path(const char* p);
	void Proxy(const char* p);
	void Name(const char* p);
	void Pass(const char* p);
	void Cache(int n){m_nCache=n;}
	void Port(int n){m_nPort=n;}
	void Image(int n){m_nImage=n;}
	void UA(int n){ m_nUserAgent=n;}
	void Timeout(int n){m_nTimeout=n;}
	void Play(int n){m_nPlay=n;}
	

	void save();
	void write(int n);

protected:
	QCString *m_pqszPath;
	QCString *m_pqszProxy;	// proxy
	QCString *m_pqszName;	// user 
	QCString *m_pqszPass;	// pass
	QCString *m_pqszCurrentPath;
	int  m_nUserAgent;		// useragent
	int	 m_nPort;			// port
	int	 m_nImage;			// \
	int  m_nCache;			// 
	int  m_nPlay;			// Đ[h
	int  m_nTimeout;		// 

	int  m_nWrite;
	engineQov* m_pQov[_MAX_QOV_];
	
	Config* m_pConfig;
};

#endif // !defined(AFX_SHAREOBJ_H__A7EBE270_2713_4967_A42A_1354F4420BAB__INCLUDED_)
